Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.support
Class AbstractModelItem

    java.lang.Object
      com.eviware.soapui.model.support.AbstractModelItem

All Implemented Interfaces:
  ModelItem, PropertyChangeNotifier

Direct Known Subclasses:
  AbstractWsdlModelItem, WorkspaceImpl, WsdlMessageAssertion

    public abstract class AbstractModelItem

extends java.lang.Object
implements ModelItem

Base-class for ModelItem implementations

Author:
  Ole.Matzura

Nested Class Summary
`class` | `AbstractModelItem.ShowModelItemAction`

Field Summary

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`AbstractModelItem()`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `addPropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener listener)`
`void` | `notifyPropertyChanged(java.lang.String name, boolean oldValue, boolean newValue)`
`void` | `notifyPropertyChanged(java.lang.String name, int oldValue, int newValue)`
`void` | `notifyPropertyChanged(java.lang.String name, java.lang.Object oldValue, java.lang.Object newValue)`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `removePropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.ModelItem
`getDescription, getIcon, getName, getSettings`

Constructor Detail

### AbstractModelItem

    public AbstractModelItem()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.lang.String propertyName,
                                          java.beans.PropertyChangeListener listener)

  Specified by:
    `addPropertyChangeListener` in interface `PropertyChangeNotifier`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `addPropertyChangeListener` in interface `PropertyChangeNotifier`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `removePropertyChangeListener` in interface `PropertyChangeNotifier`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.lang.String propertyName,
                                             java.beans.PropertyChangeListener listener)

  Specified by:
    `removePropertyChangeListener` in interface `PropertyChangeNotifier`

### notifyPropertyChanged

    public void notifyPropertyChanged(java.lang.String name,
                                      java.lang.Object oldValue,
                                      java.lang.Object newValue)

### notifyPropertyChanged

    public void notifyPropertyChanged(java.lang.String name,
                                      int oldValue,
                                      int newValue)

### notifyPropertyChanged

    public void notifyPropertyChanged(java.lang.String name,
                                      boolean oldValue,
                                      boolean newValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.